<div class="animated fadeInLoad">
<div class="col-md-12">
<div  id='div-inline2' class="box boxStyle2 infoBox">
<div class="padd10">

<?PHP 
echo "
<div class='font20 fwb tdu'>".$instInfo6."</div>
<div class='ph10'></div>
";

$targetedX="./../configure/license.inc.php";
define("DATA_FILE", $targetedX);
extract($_POST);
$company=($_POST['company']);
$firstname=($_POST['firstname']);
$lastname=($_POST['lastname']);
$street=($_POST['street']);
$plz=($_POST['plz']);
$city=($_POST['city']);
$land=($_POST['land']);
$emailL=($_POST['emailL']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[company])<=0){@$_POST[company]="";}
if (strlen(@$_POST[firstname])<=0){@$_POST[firstname]="";}
if (strlen(@$_POST[lastname])<=0){@$_POST[lastname]="";}
if (strlen(@$_POST[street])<=0){@$_POST[street]="";}
if (strlen(@$_POST[plz])<=0){@$_POST[plz]="";}
if (strlen(@$_POST[city])<=0){@$_POST[city]="";}
if (strlen(@$_POST[land])<=0){@$_POST[land]="";}
if (strlen(@$_POST[emailL])<=0){@$_POST[emailL]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='install-assist-step2.php'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/company=(.+?);/';
$patterns[1]='/firstname=(.+?);/';
$patterns[2]='/lastname=(.+?);/';
$patterns[3]='/street=(.+?);/';
$patterns[4]='/plz=(.+?);/';
$patterns[5]='/city=(.+?);/';
$patterns[6]='/land=(.+?);/';
$patterns[7]='/emailL=(.+?);/';

@$replacements[0]=sprintf("company=%s%s%s;",$t,$_POST[company],$t);
@$replacements[1]=sprintf("firstname=%s%s%s;",$t,$_POST[firstname],$t);
@$replacements[2]=sprintf("lastname=%s%s%s;",$t,$_POST[lastname],$t);
@$replacements[3]=sprintf("street=%s%s%s;",$t,$_POST[street],$t);
@$replacements[4]=sprintf("plz=%s%s%s;",$t,$_POST[plz],$t);
@$replacements[5]=sprintf("city=%s%s%s;",$t,$_POST[city],$t);
@$replacements[6]=sprintf("land=%s%s%s;",$t,$_POST[land],$t);
@$replacements[7]=sprintf("emailL=%s%s%s;",$t,$_POST[emailL],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}


$targetedX2="./../configure/".$filename1."-data.inc.php";
define("DATA_FILE2", $targetedX2);
extract($_POST);
$instepA=($_POST['instepA']);
$agb1=($_POST['agb1']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[instepA])<=0){@$_POST[instepA]="";}
if (strlen(@$_POST[agb1])<=0){@$_POST[agb1]="";}
$Message=SaveData2();}
else{
@die ("
//<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='install-assist-step2.php'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData2(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE2);
$t=chr(34);

$patterns[0]='/instepA=(.+?);/';
$patterns[1]='/agb1=(.+?);/';

@$replacements[0]=sprintf("instepA=%s%s%s;",$t,$_POST[instepA],$t);
@$replacements[1]=sprintf("agb1=%s%s%s;",$t,$_POST[agb1],$t);

if ($fp=fopen(DATA_FILE2,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
//@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

echo "
<form action='install-assist-step3.php' name='Form' method='post'>
<div class='clearX ph20'></div>
<div class=''><button type='submit' id='save' name='save' class='btn form-btn1'><i class='fa fa-arrow-circle-right'></i> ".$instInfo8."</button></div>
<div class='clearX ph10'></div>
</form>
";
?>

</div><!-- ./Box -->
</div><!-- ./Box -->
</div><!-- col-12 -->
</div><!-- End animated -->
<div class="clearX"></div>
